/*-
 * Copyright 2021 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.ade.foodwaterenergycitygml4j.landuse.model.xsd;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml.AbstractFeatureType;


@XmlType(name = "FoodWaterEnergy")
public class FoodWaterEnergyType extends AbstractFeatureType {
	@XmlElement(name = "fweAreaName")
	private String areaName;
	
	@XmlElement(name = "fweSystemName")
	private String systemName;
	
	@XmlElement(name = "consistsOfFWESurvey")
	private ConsistsOfFWESurveyType consistsOfFWESurveyType;
	
	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getSystemName() {
		return systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public ConsistsOfFWESurveyType getConsistsOfFWESurveyType() {
		return consistsOfFWESurveyType;
	}

	public void setConsistsOfFWESurveyType(ConsistsOfFWESurveyType consistsOfFWESurveyType) {
		this.consistsOfFWESurveyType = consistsOfFWESurveyType;
	}
}
